Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Class WSDDService

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDConstants
            |
            +--org.apache.axis.deployment.wsdd.WSDDElement
                  |
                  +--org.apache.axis.deployment.wsdd.WSDDDeployableItem
                        |
                        +--org.apache.axis.deployment.wsdd.WSDDTargetedChain
                              |
                              +--org.apache.axis.deployment.wsdd.WSDDService

All Implemented Interfaces:
  java.io.Serializable, WSDDTypeMappingContainer

public class WSDDService
extends WSDDTargetedChain
implements WSDDTypeMappingContainer

A service represented in WSDD.

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDDeployableItem
`log, SCOPE_PER_ACCESS, SCOPE_PER_REQUEST, SCOPE_SINGLETON, scopeStrings`

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants
`ATTR_ATTACHMENT_FORMAT, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MODE, ATTR_NAME, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RPC, QNAME_BEANMAPPING, QNAME_CHAIN, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Constructor Summary
`WSDDService()` Default constructor
`WSDDService(org.w3c.dom.Element e)`

Method Summary
`void` | `addOperation(WSDDOperation operation)` Add a WSDDOperation to the Service.
`void` | `addTypeMapping(WSDDTypeMapping mapping)` Add a WSDDTypeMapping to the Service.
`void` | `deployToRegistry(WSDDDeployment registry)`
`void` | `deployTypeMapping(WSDDTypeMapping mapping)`
`protected QName` | `getElementName()` Return the element name of a particular subclass.
`WSDDFaultFlow` | `getFaultFlow(QName name)`
`WSDDFaultFlow[]` | `getFaultFlows()`
`WSDDJAXRPCHandlerInfoChain` | `getHandlerInfoChain()`
`java.util.Vector` | `getNamespaces()` Obtain the list of namespaces registered for this service
`QName` | `getProviderQName()`
`ServiceDesc` | `getServiceDesc()`
`java.lang.String` | `getServiceDescriptionURL()` Get any service description URL which might be associated with this service.
`Style` | `getStyle()` Get the service style - document or RPC
`TypeMapping` | `getTypeMapping(java.lang.String encodingStyle)`
`java.util.Vector` | `getTypeMappings()`
`protected void` | `initTMR()` Initialize a TypeMappingRegistry with the WSDDTypeMappings.
`Handler` | `makeNewInstance(EngineConfiguration registry)` Creates a new instance of this deployable.
`void` | `removeNamespaceMappings(WSDDDeployment registry)`
`void` | `setCachedService(SOAPService service)`
`void` | `setHandlerInfoChain(WSDDJAXRPCHandlerInfoChain hichain)`
`void` | `setProviderQName(QName providerQName)`
`void` | `setServiceDescriptionURL(java.lang.String sdUrl)` Set the service description URL for this service.
`void` | `setStyle(Style style)` Set the service style - document or RPC
`void` | `setTypeMappings(java.util.Vector typeMappings)`
`void` | `validateDescriptors()` This method can be used for dynamic deployment using new WSDDService() etc.
`void` | `writeToContext(SerializationContext context)` Write this element out to a SerializationContext

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDTargetedChain
`getPivotQName, getRequestFlow, getResponseFlow, setPivotQName, setRequestFlow, setResponseFlow, setType, writeFlowsToContext`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDDeployableItem
`getInstance, getJavaClass, getParameter, getParametersTable, getQName, getType, removeParameter, setName, setOptionsHashtable, setParameter, setQName, setType, writeParamsToContext`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDElement
`getChildElement, getChildElements, getDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDService

    public WSDDService()

  Default constructor

### WSDDService

    public WSDDService(org.w3c.dom.Element e)
                throws WSDDException

  Parameters:
    `e` - (Element) XXX
  Throws:
    `WSDDException` - XXX

Method Detail

### initTMR

    protected void initTMR()
                    throws WSDDException

  Initialize a TypeMappingRegistry with the WSDDTypeMappings. Note: Extensions of WSDDService may override initTMR to popluate the tmr with different type mappings.

### validateDescriptors

    public void validateDescriptors()
                             throws WSDDException

  This method can be used for dynamic deployment using new WSDDService() etc. It validates some standard parameters for some standard providers (if present). Do this before deployment.deployService().

### addTypeMapping

    public void addTypeMapping(WSDDTypeMapping mapping)

  Add a WSDDTypeMapping to the Service.
  Parameters:
    `mapping` -

### addOperation

    public void addOperation(WSDDOperation operation)

  Add a WSDDOperation to the Service.
  Parameters:
    `operation` - the operation to add

### getElementName

    protected QName getElementName()

  Description copied from class: `WSDDElement`
  Return the element name of a particular subclass.
  Overrides:
    `getElementName` in class `WSDDElement`

### getServiceDescriptionURL

    public java.lang.String getServiceDescriptionURL()

  Get any service description URL which might be associated with this service.
  Returns:
    a String containing a URL, or null.

### setServiceDescriptionURL

    public void setServiceDescriptionURL(java.lang.String sdUrl)

  Set the service description URL for this service.
  Parameters:
    `sdUrl` - a String containing a URL

### getProviderQName

    public QName getProviderQName()

### setProviderQName

    public void setProviderQName(QName providerQName)

### getStyle

    public Style getStyle()

  Get the service style - document or RPC

### getServiceDesc

    public ServiceDesc getServiceDesc()

### setStyle

    public void setStyle(Style style)

  Set the service style - document or RPC

### getFaultFlows

    public WSDDFaultFlow[] getFaultFlows()

  Overrides:
    `getFaultFlows` in class `WSDDTargetedChain`
  Returns:
    XXX

### getNamespaces

    public java.util.Vector getNamespaces()

  Obtain the list of namespaces registered for this service
  Returns:
    a Vector of namespaces (Strings) which should dispatch to this service

### getFaultFlow

    public WSDDFaultFlow getFaultFlow(QName name)

  Overrides:
    `getFaultFlow` in class `WSDDTargetedChain`
  Parameters:
    `name` - XXX
  Returns:
    XXX

### makeNewInstance

    public Handler makeNewInstance(EngineConfiguration registry)
                            throws ConfigurationException

  Description copied from class: `WSDDDeployableItem`
  Creates a new instance of this deployable. if the java class is not found, the registry is queried to find a suitable item
  Overrides:
    `makeNewInstance` in class `WSDDTargetedChain`
  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### deployTypeMapping

    public void deployTypeMapping(WSDDTypeMapping mapping)
                           throws WSDDException

  Specified by:
    `deployTypeMapping` in interface `WSDDTypeMappingContainer`

### writeToContext

    public void writeToContext(SerializationContext context)
                        throws java.io.IOException

  Write this element out to a SerializationContext
  Overrides:
    `writeToContext` in class `WSDDElement`

### setCachedService

    public void setCachedService(SOAPService service)

### getTypeMappings

    public java.util.Vector getTypeMappings()

### setTypeMappings

    public void setTypeMappings(java.util.Vector typeMappings)

### deployToRegistry

    public void deployToRegistry(WSDDDeployment registry)

  Overrides:
    `deployToRegistry` in class `WSDDTargetedChain`

### removeNamespaceMappings

    public void removeNamespaceMappings(WSDDDeployment registry)

### getTypeMapping

    public TypeMapping getTypeMapping(java.lang.String encodingStyle)

### getHandlerInfoChain

    public WSDDJAXRPCHandlerInfoChain getHandlerInfoChain()

### setHandlerInfoChain

    public void setHandlerInfoChain(WSDDJAXRPCHandlerInfoChain hichain)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.